Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12.metadata
Class KeyDescriptor

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.metadata.KeyDescriptor`

public class KeyDescriptor
extends oracle.security.xmlsec.util.XMLElement

Liberty metadata KeyInfo element.

See Also:
  `XSKeyInfo`

Field Summary
`static java.lang.String` | `KT_ENCRYPTION` The use keyType attribute value "encryption".
`static java.lang.String` | `KT_SIGNING` The use keyType attribute value "signing".

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`KeyDescriptor(org.w3c.dom.Document owner)` Creates a new `KeyDescriptor` instance within the specified XML Document.
`KeyDescriptor(org.w3c.dom.Document owner, java.lang.String use)` Creates a new `KeyDescriptor` instance within the specified XML Document.
`KeyDescriptor(org.w3c.dom.Element element)` Creates a new `KeyDescriptor` instance from the given Element node.
`KeyDescriptor(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `KeyDescriptor` instance from the given Element node.

Method Summary
`java.lang.String` | `getEncryptionMethod()` Returns the value of the `EncryptionMethod` child element of this Liberty metadata KeyDescriptor element, or `null` if no EncryptionMethod element is present.
`oracle.security.xmlsec.dsig.XSKeyInfo` | `getKeyInfo()` Returns the `ds:KeyInfo` child element of this Liberty metadata KeyDescriptor element, or `null` if no ds:KeyInfo element is present.
`java.lang.Integer` | `getKeySize()` Returns the value of the `KeySize` child element of this Liberty metadata KeyDescriptor element, or `null` if no KeySize element is present.
`java.lang.String` | `getUse()` Returns the value of the `use` attribute of this Liberty metadata KeyDescriptor element, or `null` if the attribute is not specified.
`void` | `setEncryptionMethod(java.lang.String encURI)` Sets the value of the `EncryptionMethod` child element of this Liberty metadata KeyDescriptor element.
`void` | `setKeyInfo(oracle.security.xmlsec.dsig.XSKeyInfo keyInfo)` Sets the `ds:KeyInfo` child element of this Liberty metadata KeyDescriptor element.
`void` | `setKeySize(java.lang.Integer keySize)` Sets the value of the `KeySize` child element of this Liberty metadata KeyDescriptor element.
`void` | `setUse(java.lang.String use)` Sets the value of the `use` attribute of this Liberty metadata KeyDescriptor element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KT_SIGNING

    public static java.lang.String KT_SIGNING

  The use keyType attribute value "signing".
  See Also:
    `setUse(String)`, `getUse()`

### KT_ENCRYPTION

    public static java.lang.String KT_ENCRYPTION

  The use keyType attribute value "encryption".
  See Also:
    `setUse(String)`, `getUse()`

Constructor Detail

### KeyDescriptor

    public KeyDescriptor(org.w3c.dom.Element element)
                  throws org.w3c.dom.DOMException

  Creates a new `KeyDescriptor` instance from the given Element node.
Parameters:
  `element` - A Liberty metadata KeyInfo XML element.

### KeyDescriptor

    public KeyDescriptor(org.w3c.dom.Element element,
                         java.lang.String systemId)
                  throws org.w3c.dom.DOMException

  Creates a new `KeyDescriptor` instance from the given Element node.
Parameters:
  `element` - A Liberty metedata KeyInfo XML element.
  `systemId` - The URI string system ID for the `KeyDescriptor`.

### KeyDescriptor

    public KeyDescriptor(org.w3c.dom.Document owner)
                  throws org.w3c.dom.DOMException

  Creates a new `KeyDescriptor` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty metedata KeyDescriptor element.

### KeyDescriptor

    public KeyDescriptor(org.w3c.dom.Document owner,
                         java.lang.String use)
                  throws org.w3c.dom.DOMException

  Creates a new `KeyDescriptor` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty metadata KeyDescriptor element.
  `use` - The `use` attribute value.

Method Detail

### setUse

    public void setUse(java.lang.String use)
                throws org.w3c.dom.DOMException

  Sets the value of the `use` attribute of this Liberty metadata KeyDescriptor element.
  Parameters:
    `use` - The use attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getUse

    public java.lang.String getUse()

  Returns the value of the `use` attribute of this Liberty metadata KeyDescriptor element, or `null` if the attribute is not specified.

### setEncryptionMethod

    public void setEncryptionMethod(java.lang.String encURI)
                             throws org.w3c.dom.DOMException

  Sets the value of the `EncryptionMethod` child element of this Liberty metadata KeyDescriptor element.
  Parameters:
    `encURI` - The URI string identifying the encryption method to use. Valid URI's are defined in the XML Encryption specification.
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `XMLURI`

### getEncryptionMethod

    public java.lang.String getEncryptionMethod()

  Returns the value of the `EncryptionMethod` child element of this Liberty metadata KeyDescriptor element, or `null` if no EncryptionMethod element is present.
  Returns:
    The URI string identifying the encryption method to use. Valid URI's are defined in the XML Encryption specification.
  See Also:
    `XMLURI`

### setKeySize

    public void setKeySize(java.lang.Integer keySize)
                    throws org.w3c.dom.DOMException

  Sets the value of the `KeySize` child element of this Liberty metadata KeyDescriptor element.
  Parameters:
    `keySize` - The length of keys to be used in interactions with another entity.
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `XMLURI`

### getKeySize

    public java.lang.Integer getKeySize()

  Returns the value of the `KeySize` child element of this Liberty metadata KeyDescriptor element, or `null` if no KeySize element is present.
  Returns:
    The length of keys to be used in interactions with another entity, or `null` if the element is not present.
  See Also:
    `XMLURI`

### setKeyInfo

    public void setKeyInfo(oracle.security.xmlsec.dsig.XSKeyInfo keyInfo)
                    throws org.w3c.dom.DOMException

  Sets the `ds:KeyInfo` child element of this Liberty metadata KeyDescriptor element.
  Parameters:
    `keyInfo` - An instance of `oracle.security.xmlsec.dsig.XSKeyInfo` representing the `ds:KeyInfo` element.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyInfo

    public oracle.security.xmlsec.dsig.XSKeyInfo getKeyInfo()

  Returns the `ds:KeyInfo` child element of this Liberty metadata KeyDescriptor element, or `null` if no ds:KeyInfo element is present.
  Returns:
    An instance of `oracle.security.xmlsec.dsig.XSKeyInfo` representing the `ds:KeyInfo` element, or `null` if none is present.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.